﻿using System;
using System.Reflection;
using System.Runtime.InteropServices;
using System.Text;

namespace PACNET
{
    /// <summary>Buzzer API</summary>
    public partial class Sys
    {
        /// <summary>Buzzer API</summary>
        public class Buzzer
        {
            //PAC_API void pac_BuzzerBeep(WORD count, DWORD milliseconds);
            /// <summary></summary>
            [DllImport("PACSDK.dll", EntryPoint = "pac_BuzzerBeep")]
            public extern static void BuzzerBeep(int BeepCount, long ms);

            /// <summary></summary>
            public static void BuzzerBeep()
            {
                BuzzerBeep(0, 1000);
            }

            //PAC_API void pac_StopBuzzer();
            /// <summary></summary>
            [DllImport("PACSDK.dll", EntryPoint = "pac_StopBuzzer")]
            public extern static void StopBuzzer();

            //PAC_API void pac_SetBuzzerFreqDuty(int freq, int duty); 
            /// <summary></summary>
            [DllImport("PACSDK.dll", EntryPoint = "pac_SetBuzzerFreqDuty")]
            public extern static void SetBuzzerFreqDuty(int freq, int duty);

            //PAC_API void pac_GetBuzzerFreqDuty(int *freq, int *duty);
            /// <summary></summary>
            [DllImport("PACSDK.dll", EntryPoint = "pac_GetBuzzerFreqDuty")]
            public extern static void GetBuzzerFreqDuty(ref int freq, ref int duty);
        }
    }
}