﻿using System;
using System.Reflection;
using System.Runtime.InteropServices;
using System.Text;

namespace PACNET
{
    public partial class Sys
    {
        /// <summary>
        /// CPU type only XPAC CE6
        /// </summary>
        public const int LX800 = 0x1;

        /// <summary>
        /// CPU type only XPAC CE6
        /// </summary>
        public const int ATOM = 0x2;

        /// <summary>
        /// Get CPU type only XPAC CE6
        /// </summary>
        [DllImport("PACSDK.dll", EntryPoint = "_pac_get_CPUtype")]
        public static extern int get_CPUtype();

        ///// <summary> 
        ///// </summary>
        //[DllImport("PACSDK.dll", EntryPoint = "pac_GetCPUTempureture")]
        //public extern static int GetCPUTempureture();

        /// <summary> 
        /// </summary>
        [DllImport("PACSDK.dll", EntryPoint = "pac_ResetSystemToDefault")]
        public extern static void ResetSystemToDefault();


    }

    public partial class Sys
    {
        /// <summary> 
        /// </summary>
        [DllImport("PACSDK.dll", EntryPoint = "_pac_inp")]
        public extern static byte inp(int map_addr);

        /// <summary> 
        /// </summary>
        [DllImport("PACSDK.dll", EntryPoint = "_pac_outp")]
        public extern static void outp(int map_addr, int val);

        /// <summary> 
        /// </summary>
        [DllImport("PACSDK.dll", EntryPoint = "_pac_slot_inp")]
        public extern static byte slot_inp(int slot, int addr);

        /// <summary> 
        /// </summary>
        [DllImport("PACSDK.dll", EntryPoint = "_pac_slot_outp")]
        public extern static void slot_outp(int slot, int addr, int val);
    }
}